Name:          procps-ng
Version:       4.0.5
Release:       1mamba
Summary:       Command line and full screen utilities for browsing procfs
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://sourceforge.net/projects/procps-ng
Source:        http://sourceforge.net/projects/procps-ng/files/Production/procps-ng-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libncurses-devel
BuildRequires: libsystemd-devel
## AUTOBUILDREQ-END
Provides:      procps
Obsoletes:     procps < 3.2.9
Provides:      sysvinit-tools
Obsoletes:     sysvinit-tools < 3.3.17
Provides:      /bin/kill
Provides:      /bin/pidof
Provides:      /bin/ps

%description
This project provides command line and full screen utilities for browsing procfs, a "pseudo" file system dynamically generated by the kernel to provide information about the status of entries in its process table (such as whether the process is running, stopped, or a "zombie").
It contains free, kill, pkill, pgrep, pmap, ps, pwdx, skill, slabtop, snice, sysctl, tload, top, uptime, vmstat, w, and watch.

%package -n libprocps
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n libprocps
This package contains shared libraries for %{name}.

%package -n libprocps-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      libprocps = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n libprocps-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q
#./autogen.sh

autoreconf -f -i

%build
%configure \
   --with-systemd \
   --disable-modern-top

%make \
   CC=%{_target_platform}-gcc

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name} --all-name --with-man

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/hugetop
%{_bindir}/kill
%{_bindir}/pidof
%{_bindir}/ps
%{_sbindir}/sysctl
%{_bindir}/free
%{_bindir}/pgrep
%{_bindir}/pidwait
%{_bindir}/pkill
%{_bindir}/pmap
%{_bindir}/pwdx
%{_bindir}/slabtop
%{_bindir}/tload
%{_bindir}/top
%{_bindir}/uptime
%{_bindir}/vmstat
%{_bindir}/w
%{_bindir}/watch
%{_mandir}/man?/*
%doc COPYING

%files -n libprocps
%defattr(-,root,root)
%{_libdir}/libproc2.so.*
%doc AUTHORS COPYING.LIB

%files -n libprocps-devel
%defattr(-,root,root)
%dir %{_includedir}/libproc2
%{_includedir}/libproc2/*.h
%{_libdir}/libproc2.a
%{_libdir}/libproc2.so
%{_libdir}/pkgconfig/libproc2.pc
%dir %{_datadir}/doc/procps-ng
%{_datadir}/doc/procps-ng/*
%doc NEWS

%changelog
* Mon Dec 23 2024 Automatic Build System <autodist@openmamba.org> 4.0.5-1mamba
- automatic version update by autodist

* Fri Sep 01 2023 Automatic Build System <autodist@mambasoft.it> 4.0.4-1mamba
- automatic version update by autodist

* Tue Aug 08 2023 Automatic Build System <autodist@mambasoft.it> 4.0.3-1mamba
- automatic version update by autodist

* Thu May 06 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.17-4mamba
- provide /bin/kill and /bin/ps

* Sun May 02 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.17-3mamba
- provide /bin/pidof

* Sat May 01 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.17-2mamba
- rebuilt in /usr

* Thu Feb 25 2021 Automatic Build System <autodist@mambasoft.it> 3.3.17-1mamba
- automatic version update by autodist

* Thu Mar 12 2020 Automatic Build System <autodist@mambasoft.it> 3.3.16-1mamba
- automatic version update by autodist

* Wed Jun 06 2018 Automatic Build System <autodist@mambasoft.it> 3.3.15-1mamba
- automatic version update by autodist

* Fri Apr 20 2018 Automatic Build System <autodist@mambasoft.it> 3.3.14-1mamba
- automatic version update by autodist

* Wed Apr 11 2018 Automatic Build System <autodist@mambasoft.it> 3.3.13-1mamba
- automatic version update by autodist

* Thu Jul 14 2016 Automatic Build System <autodist@mambasoft.it> 3.3.12-1mamba
- automatic version update by autodist

* Wed Sep 16 2015 Automatic Build System <autodist@mambasoft.it> 3.3.11-1mamba
- automatic version update by autodist

* Mon Nov 03 2014 Automatic Build System <autodist@mambasoft.it> 3.3.10-1mamba
- automatic update by autodist

* Sat Aug 09 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.9-2mamba
- completed work started by Davide

* Tue Jul 22 2014 Davide Madrisan <davide.madrisan@gmail.com> 3.3.9-1mamba
- update to 3.3.9

* Sun Sep 18 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.8-5mamba
- added patch to support 2 components kernel versions (3.0)

* Sat May 07 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.8-4mamba
- added a better patch to fix 'Unknown HZ value' message (see http://bugs.gentoo.org/show_bug.cgi?id=303120#c33)

* Fri Aug 20 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.8-3mamba
- fix the make 3.82 fix to restore build of /bin/ps

* Wed Aug 18 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.8-2mamba
- added Makefile fix for build with make 3.82

* Sat Jun 06 2009 Automatic Build System <autodist@mambasoft.it> 3.2.8-1mamba
- automatic update by autodist

* Wed Jun 04 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.7-2mamba
- specfile updated

* Tue Oct 03 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.7-1qilnx
- update to version 3.2.7 by autospec

* Wed Jun 28 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 3.2.6-1qilnx
- update to version 3.2.6 by autospec

* Mon Sep 12 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.5-1qilnx
- update to version 3.2.5 by autospec

* Fri Jul 09 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.1-1qilnx
- new version build

* Sun Nov 30 2003 Davide Madrisan <davide.madrisan@qilinux.it> 3.1.14-1qilnx
- rebuilt with latest version (linux 2.6.x compatible version)

* Wed Apr 09 2003 Mirko Cortillaro <mirko.cortillaro@qinet.it>
- write a spec file for procps
